package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AppEntitlementRoutingRule.CreateAppEntitlementRoutingRule(ctx, operations.C1APIAppV1AppEntitlementRoutingRuleServiceCreateAppEntitlementRoutingRuleRequest{
AppID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.CreateAppEntitlementRoutingRuleResponse != nil {
// handle response
}
}curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/entitlement_configuration_rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"condition": "<string>",
"description": "<string>",
"displayName": "<string>",
"enabled": true,
"priority": 123,
"settings": {
"emergencyGrantEnabled": true,
"emergencyGrantPolicyId": "<string>",
"maxGrantDuration": "<string>",
"requestPolicyId": "<string>",
"requestSchemaId": "<string>"
}
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/entitlement_configuration_rules"
payload = {
"condition": "<string>",
"description": "<string>",
"displayName": "<string>",
"enabled": True,
"priority": 123,
"settings": {
"emergencyGrantEnabled": True,
"emergencyGrantPolicyId": "<string>",
"maxGrantDuration": "<string>",
"requestPolicyId": "<string>",
"requestSchemaId": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
condition: '<string>',
description: '<string>',
displayName: '<string>',
enabled: true,
priority: 123,
settings: {
emergencyGrantEnabled: true,
emergencyGrantPolicyId: '<string>',
maxGrantDuration: '<string>',
requestPolicyId: '<string>',
requestSchemaId: '<string>'
}
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/entitlement_configuration_rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"routingRule": {
"appId": "<string>",
"condition": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"enabled": true,
"id": "<string>",
"priority": 123,
"settings": {
"emergencyGrantEnabled": true,
"emergencyGrantPolicyId": "<string>",
"maxGrantDuration": "<string>",
"requestPolicyId": "<string>",
"requestSchemaId": "<string>"
},
"updatedAt": "2023-11-07T05:31:56Z"
}
}Create App Entitlement Routing Rule
Invokes the c1.api.app.v1.AppEntitlementRoutingRuleService.CreateAppEntitlementRoutingRule method.
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AppEntitlementRoutingRule.CreateAppEntitlementRoutingRule(ctx, operations.C1APIAppV1AppEntitlementRoutingRuleServiceCreateAppEntitlementRoutingRuleRequest{
AppID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.CreateAppEntitlementRoutingRuleResponse != nil {
// handle response
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The appId field.
Body
The CreateAppEntitlementRoutingRuleRequest message.
CEL expression evaluated against the entitlement routing rule context. Empty string is valid and matches every target not matched earlier.
The description field.
The displayName field.
The enabled field.
A 1-indexed insertion slot; the server clamps it into [1, N+1] and re-packs siblings densely. Omit (or 0) to append the rule last.
The AppEntitlementRoutingRuleSettings message.
Show child attributes
Show child attributes
Response
Successful response
The CreateAppEntitlementRoutingRuleResponse message.
The AppEntitlementRoutingRule message.
Show child attributes
Show child attributes
Was this page helpful?